# Lift a suppression, with the reason it is lifted

`POST /crm/suppressions/remove` · Rivier · contacts

Lift a suppression, with the reason it is lifted.

- Scope: contacts:admin
- Graphql: Mutation.contactsSuppressionRemove
- Sdk: contacts.suppression.remove
- Cli: contacts suppression remove

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "channel": {
      "type": "string",
      "enum": [
        "email",
        "sms",
        "whatsapp",
        "phone"
      ]
    },
    "value": {
      "type": "string",
      "minLength": 3,
      "maxLength": 320
    },
    "reason": {
      "type": "string",
      "minLength": 3,
      "maxLength": 300
    }
  },
  "required": [
    "channel",
    "value",
    "reason"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/crm/suppressions/remove' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "channel": "email",
  "value": "string",
  "reason": "string"
}'
```
